use calamine::{Reader, open_workbook, Xlsx, DataType};
use std::error::Error;
use std::io;
use std::process;
extern crate csv;


fn main() {
    let mut workbook: Xlsx<_> = open_workbook("../../test/lists/ifx_price.xlsx").expect("Cannot open file");
    if let Some(Ok(range)) = workbook.worksheet_range("Sheet1") 
    {
        //let total_cells = range.get_size().0 * range.get_size().1;
        let non_empty_cells: usize = range.used_cells().count();
        
    }
    
    let mut rdr = csv::Reader::from_reader(io::stdin());
    // Loop over each record.
    for result in rdr.records() 
    {
        let record = result.expect("a CSV record");
        println!("{:?}", record[1]);

    }
}
                                                       
